Page MenuHomePhabricator

1.35.0-wmf.40 deployment blockers
Closed, ResolvedPublicRelease

Details

Backup Conductor
Jdforrester-WMF
Release Version
1.35.0-wmf.40
Release Date
Jul 6 2020, 12:00 AM

2020 week 28 1.35-wmf.40 Changes wmf/1.35.0-wmf.40

This MediaWiki Train Deployment is scheduled for the week of Monday, July 6th:

Monday July 6thTuesday, July 7thWednesday, July 8thThursday, July 9thFriday
Backports only.Branch wmf.40 and deploy to Group 0 Wikis.Deploy wmf.40 to Group 1 Wikis.Deploy wmf.40 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.40 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.39
Next: 1.35.0-wmf.41

Event Timeline

A little risky patch! 🚂🔥

Change 609892 had a related patch set uploaded (by DannyS712; owner: trainbranchbot):
[mediawiki/core@wmf/1.35.0-wmf.40] Branch commit for wmf/1.35.0-wmf.40

https://gerrit.wikimedia.org/r/609892

Change 609892 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.40] Branch commit for wmf/1.35.0-wmf.40

https://gerrit.wikimedia.org/r/609892

Mentioned in SAL (#wikimedia-operations) [2020-07-07T11:39:19Z] <jforrester@deploy1001> Started scap: Full scap and testwikis to 1.35.0-wmf.40 for T256668

Mentioned in SAL (#wikimedia-operations) [2020-07-07T12:12:28Z] <jforrester@deploy1001> Finished scap: Full scap and testwikis to 1.35.0-wmf.40 for T256668 (duration: 33m 09s)

Two scaps and forty minutes later, testwikis seem initially fine (though there was an old gadget, InterProjectLinks, which was visibly broken and unmaintained, so I killed it).

Change 610141 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.35.0-wmf.40 refs T256668

https://gerrit.wikimedia.org/r/610141

Change 610141 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.35.0-wmf.40 refs T256668

https://gerrit.wikimedia.org/r/610141

Mentioned in SAL (#wikimedia-operations) [2020-07-07T19:18:35Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.35.0-wmf.40 refs T256668

No sign of deprecation warnings for the revision class. I only see deprecation warnings for these two:

  • Article::getContentModel
  • Article::prepareContentForEdit

Change 610350 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.35.0-wmf.40 refs T256668

https://gerrit.wikimedia.org/r/610350

Change 610350 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.35.0-wmf.40 refs T256668

https://gerrit.wikimedia.org/r/610350

Mentioned in SAL (#wikimedia-operations) [2020-07-08T19:17:54Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.35.0-wmf.40 refs T256668

Mentioned in SAL (#wikimedia-operations) [2020-07-08T19:18:58Z] <twentyafterfour@deploy1001> Synchronized php: group1 wikis to 1.35.0-wmf.40 refs T256668 (duration: 01m 04s)

Change 610904 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] all wikis to 1.35.0-wmf.40 refs T256668

https://gerrit.wikimedia.org/r/610904

Change 610904 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.35.0-wmf.40 refs T256668

https://gerrit.wikimedia.org/r/610904

Mentioned in SAL (#wikimedia-operations) [2020-07-09T19:05:47Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: all wikis to 1.35.0-wmf.40 refs T256668

Let's call this one done.

FTR, T257625: Interwiki sorting broken seems to be new with wmf.40, but I don’t think it’s bad enough to justify rolling back the train.